#pragma once
#include "OpenGraph.h"
using namespace NSOpenGraphLib;

// cgiOpenGLWnd

class COpenGLWnd : public CWnd
{
	DECLARE_DYNAMIC(COpenGLWnd)

public:
	COpenGLWnd();
	virtual ~COpenGLWnd();

    COpenGraph m_openGraph;

protected:
	DECLARE_MESSAGE_MAP()

protected:
    

public:
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnPaint();
    afx_msg void OnDestroy();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
    afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
};


